#pragma once

#include <QApplication>
#include <QNetworkAccessManager>
#include <QNetworkReply>

#include <dialogs/FederatedLogin.h>
#include <lib/Service.h>

class Configurator:public QApplication {
	Q_OBJECT
public:
	Configurator(int &argc, char **&argv);
protected Q_SLOTS:
	void loginRequested();
	void appListReceived(QNetworkReply *reply);
private:
	QNetworkAccessManager	_nam;
	FederatedLogin *	_loginDialog;
	Services		_services;
};
