#include "FederatedLogin.h"

FederatedLogin::FederatedLogin(QWidget *parent):QDialog(parent),_layout(this) {
	int y = 0;
	_message = new QLabel(this);
	setMessage("");
	_layout.addWidget(_message, y, 0, 1, 2);
	_domainLbl = new QLabel(tr("&Domain:"), this);
	_layout.addWidget(_domainLbl, ++y, 0);
	_domain = new QLineEdit("f11890a1.fedcom.net", this);
	_domainLbl->setBuddy(_domain);
	_layout.addWidget(_domain, y, 1);
	_userLbl = new QLabel(tr("&User/Email:"), this);
	_layout.addWidget(_userLbl, ++y, 0);
	_user = new QLineEdit(this);
	_userLbl->setBuddy(_user);
	_layout.addWidget(_user, y, 1);
	_passwordLbl = new QLabel(tr("&Password:"), this);
	_layout.addWidget(_passwordLbl, ++y, 0);
	_password = new QLineEdit(this);
	_password->setEchoMode(QLineEdit::Password);
	_passwordLbl->setBuddy(_password);
	_layout.addWidget(_password, y, 1);
	_ok = new QPushButton(tr("&OK"), this);
	_layout.addWidget(_ok, ++y, 0);
	_cancel = new QPushButton(tr("&Cancel"), this);
	_layout.addWidget(_cancel, y, 1);
	connect(_ok, &QPushButton::clicked, this, &QDialog::accept);
	connect(_cancel, &QPushButton::clicked, this, &QDialog::reject);
}

void FederatedLogin::setMessage(QString const &m) {
	_message->setText(m);
	_message->setHidden(m.isEmpty());
}
